Xeonr Developer Docs

Mint Token

POST
/xeonr.auth.private.v1.AutomationService/MintToken

Issues an access token, and optionally an ID token and refresh token, for the key's bound user against one of the application's clients. Scopes are filtered exactly as consent would filter them.

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

clientId?string
Length1 <= length <= 128
scope?scope
Itemsitems <= 64
resource?string|null

RFC 8707 resource indicator.

nonce?string|null

Bound into the ID token when include_id_token is set.

audience?audience

Optional narrowing of the token's audience to a subset of the applications the client is bound to, by application_id. Can never widen it.

Itemsitems <= 32
includeIdToken?boolean

Also return an OIDC ID token. Requires the openid scope.

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.AutomationService/MintToken" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "accessToken": "string",
  "tokenType": "string",
  "expiresIn": 0,
  "expiresAt": "2023-01-15T01:30:15.01Z",
  "idToken": "string",
  "refreshToken": "string",
  "credentialId": 0,
  "grantedScopes": [
    "string"
  ],
  "droppedScopes": [
    "string"
  ],
  "audience": [
    "string"
  ],
  "actingAs": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}